summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorEike Ziller <eike.ziller@theqtcompany.com>2015-03-02 11:24:32 +0100
committerEike Ziller <eike.ziller@theqtcompany.com>2015-03-02 11:24:32 +0100
commitff1fbb2b44f868fc0f72220d91992f72234c2e07 (patch)
tree12b6976e2f3dd8c9cce8e93e3667138dd2ab193c /scripts
parent79525981dc3c73f0465ea2e5438507c98676154b (diff)
parentb8db05c3ffad7fb2b46b35389cf86275c7e8c735 (diff)
downloadqt-creator-ff1fbb2b44f868fc0f72220d91992f72234c2e07.tar.gz
Merge remote-tracking branch 'origin/3.3' into 3.4
Conflicts: qtcreator.pri qtcreator.qbs Change-Id: I897baf92970c540f4d64b6a726ce604791234b1a
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/deployqtHelper_mac.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/scripts/deployqtHelper_mac.sh b/scripts/deployqtHelper_mac.sh
index 85f7a080c5..974e008043 100755
--- a/scripts/deployqtHelper_mac.sh
+++ b/scripts/deployqtHelper_mac.sh
@@ -65,7 +65,8 @@ if [ $LLVM_INSTALL_DIR ]; then
_CLANG_CODEMODEL_LIB="$1/Contents/PlugIns/libClangCodeModel.dylib"
fi
# this will just fail when run a second time on libClangCodeModel
- xcrun install_name_tool -rpath "$LLVM_INSTALL_DIR/lib" "@loader_path/" "$_CLANG_CODEMODEL_LIB" || true
+ xcrun install_name_tool -delete_rpath "$LLVM_INSTALL_DIR/lib" "$_CLANG_CODEMODEL_LIB" || true
+ xcrun install_name_tool -add_rpath "@loader_path/" "$_CLANG_CODEMODEL_LIB" || true
fi
#### macdeployqt